কনটেন্টে যান

Grok Imagine Video · Image to Video

ইন্টিগ্রেট করুন

মডেল id xai/grok-imagine-video/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/xai/grok-imagine-video/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

উদাহরণের মতো ফাইল: ০.৪২২$ ৪২২ API ক্রেডিট চালানোর আগে আপনার ফাইল মাপা হয় এই পেজে চালান

API কী পান
xAI · ভিডিও

আপনার প্রথম ফলাফল এখানে আসবে

নিচে একটি রিকোয়েস্ট তৈরি করে আপনার API কী দিয়ে চালান। আউটপুট আমাদের স্টোরেজে কপি করা হয়, চিরকাল বা বিনামূল্যে ৭ দিন পর্যন্ত রাখা হয়।

একটি অনুরোধ তৈরি করুন

মডেল স্কিমা থেকে কন্ট্রোল তৈরি করা হয়। এগুলো পরিবর্তন করলে কোড ও মূল্য আপডেট হয়।

•আবশ্যক 88 / 4096

ভিডিওতে প্রত্যাশিত পরিবর্তন বা গতির পাঠ্য বিবরণ।

•আবশ্যক image_url
একটি ফাইল ড্রপ করুন, অথবা

ভিডিও তৈরির ইনপুট হিসেবে ব্যবহৃত ছবির URL।

resolution ডিফল্ট 720p

আউটপুট ভিডিওর রেজোলিউশন।

aspect_ratio ডিফল্ট auto

ফলাফল ভিডিওর অ্যাসপেক্ট রেশিও।

ডিফল্ট 6

সেকেন্ডে পরিমাপ করা ভিডিওর দৈর্ঘ্য।

অ্যাডভান্সড enable_safety_checker
POST /run/xai/grok-imagine-video/image-to-video?wait=20 মূল্য → ০.৪২২$
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/xai/grok-imagine-video/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ চালান

আপনার key এই ব্রাউজারেই থাকে: এটি শুধু Doitong API-তে পাঠানো হয় এবং Remember টিক দিলে কেবল localStorage-এ সংরক্ষিত হয়। একটি API কী পান

Grok Imagine Video · Image to Video সম্পর্কে

`image_url`-এর ছবিকে সর্বোচ্চ 4096 অক্ষরের একটি মোশন প্রম্পট অনুসরণ করে ভিডিওতে রূপান্তর করে। দৈর্ঘ্য 1 থেকে 15 সেকেন্ড (ডিফল্ট 6) নির্ধারণ করা যায়, আউটপুট 480p বা 720p। `aspect_ratio`-এর ডিফল্ট auto এবং 16:9, 1:1 বা 9:16-এর মতো রেশিও নির্দিষ্ট করা যায়। বিদ্যমান আর্টওয়ার্ক বা ছবি থেকে দ্রুত মোশন পরীক্ষা করার জন্য উপযোগী।

প্যারামিটার

ক্যানোনিকাল নাম অথবা নেটিভ নাম—দুটো একসঙ্গে নয়—পাঠান। ক্যানোনিকাল নামগুলো

নামধরন ডিফল্টঅনুমোদিত বিবরণ
promptআবশ্যক
ধরনstring
≤ ৪,০৯৬টি অক্ষর
ভিডিওতে প্রত্যাশিত পরিবর্তন বা গতির পাঠ্য বিবরণ।
durationঐচ্ছিক
ধরনinteger
ডিফল্ট6
১ – ১৫
সেকেন্ডে পরিমাপ করা ভিডিওর দৈর্ঘ্য।
resolutionঐচ্ছিক
ধরনenum
ডিফল্ট720p
480p720p
আউটপুট ভিডিওর রেজোলিউশন।
image_urlআবশ্যক image
ধরনurl · image
ভিডিও তৈরির ইনপুট হিসেবে ব্যবহৃত ছবির URL।
aspect_ratioঐচ্ছিক
ধরনenum
ডিফল্টauto
auto16:94:33:21:12:33:49:16
ফলাফল ভিডিওর অ্যাসপেক্ট রেশিও।
enable_safety_checkerঐচ্ছিক
ধরনboolean
ডিফল্টtrue
কলকারী অনুমোদিত হলে false সেট করে স্ক্রিনিং শিথিল করা যায়।
আবশ্যক ক্যানোনিকাল নাম, এটিও গ্রহণযোগ্য

ফাইল প্যারামিটার হিসেবে একটি পাবলিক https:// URL, 10 MB পর্যন্ত একটি data: URI, অথবা আপলোডের file_url গ্রহণ করা হয়। ফাইল

আউটপুট

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "xai/grok-imagine-video/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 422,
    "usd": "0.422",
    "charged": 422,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
আপনার ফাইল, আপনার পছন্দপ্রতিটি outputs[].url আমাদের স্টোরেজে একটি কপি: চিরকাল রাখা হয় (প্রতি GB-মাস অনুযায়ী অর্থপ্রদত্ত) অথবা অ্যাকাউন্ট সেটিংস বা ?storage= অনুযায়ী বিনামূল্যে ৭ দিন পর্যন্ত।
প্রতিটি মডেলে একই গঠনছবি, ভিডিও এবং অডিও—সব ক্ষেত্রেই type, url, content_type, width, height এবং duration। output হলো মডেলের নিজস্ব ফলাফল অবজেক্ট।
আউটপুটের ফিল্ড
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}মডেল দ্বারা উৎপাদিত ভিডিও।

আরও মডেল: ছবি থেকে ভিডিও

AI এজেন্টদের জন্য: এই পৃষ্ঠাটি Markdown হিসেবে এখানে আছে https://doitong.com/bn/developers/models/xai/grok-imagine-video/image-to-video.md. সব মডেল ও গাইড: https://doitong.com/developers/llms.txt